# Uses of Class
org.eclipse.jface.viewers.TreeViewer

Packages that use TreeViewer
Package
Description
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.e4.ui.dialogs.filteredtree
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.contentoutline
Provides the standard Content Outline view which can show the active editor's custom outline for the document being edited.

## Uses of TreeViewer in org.eclipse.compare.structuremergeviewer

Subclasses of TreeViewer in org.eclipse.compare.structuremergeviewer
Modifier and Type
Class
Description
`class`
`DiffTreeViewer`
A tree viewer that works on objects implementing the `IDiffContainer` and `IDiffElement` interfaces.
`class`
`StructureDiffViewer`
A diff tree viewer that can be configured with a `IStructureCreator` to retrieve a hierarchical structure from the input object (an `ICompareInput`) and perform a two-way or three-way compare on it.

## Uses of TreeViewer in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return TreeViewer
Modifier and Type
Method
Description
`TreeViewer`
InspectPopupDialog.`getTreeViewer()`
The viewer is initialized after the dialog is constructed, so only after open is called.

## Uses of TreeViewer in org.eclipse.e4.ui.dialogs.filteredtree

Methods in org.eclipse.e4.ui.dialogs.filteredtree that return TreeViewer
Modifier and Type
Method
Description
`protected TreeViewer`
FilteredTree.`doCreateTreeViewer(Composite parent, int style)`
Creates the tree viewer.
`TreeViewer`
FilteredTree.`getViewer()`
Get the tree viewer of the receiver.

## Uses of TreeViewer in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return TreeViewer
Modifier and Type
Method
Description
`protected TreeViewer`
PreferenceDialog.`createTreeViewer(Composite parent)`
Create a new `TreeViewer`.
`TreeViewer`
PreferenceDialog.`getTreeViewer()`
Methods in org.eclipse.jface.preference with parameters of type TreeViewer
Modifier and Type
Method
Description
`protected void`
PreferenceDialog.`addListeners(TreeViewer viewer)`
Add the listeners to the tree viewer.
`protected void`
PreferenceDialog.`setTreeViewer(TreeViewer treeViewer)`
Set the treeViewer.

## Uses of TreeViewer in org.eclipse.jface.viewers

Subclasses of TreeViewer in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`CheckboxTreeViewer`
A concrete tree-structured viewer based on an SWT `Tree` control with checkboxes on each node.
Methods in org.eclipse.jface.viewers with parameters of type TreeViewer
Modifier and Type
Method
Description
`static void`
TreeViewerEditor.`create(TreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor whose activation process is customized
`static void`
TreeViewerEditor.`create(TreeViewer viewer, org.eclipse.jface.viewers.SWTFocusCellManager focusCellManager, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor with focusable cells
Constructors in org.eclipse.jface.viewers with parameters of type TreeViewer
Modifier
Constructor
Description
``
`TreeViewerColumn(TreeViewer viewer, int style)`
Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits.
``
`TreeViewerColumn(TreeViewer viewer, int style, int index)`
Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits.
``
`TreeViewerColumn(TreeViewer viewer, TreeColumn column)`
Creates a new viewer column for the given `TreeViewer` on the given `TreeColumn`.
``
`TreeViewerFocusCellManager(TreeViewer viewer, FocusCellHighlighter focusDrawingDelegate)`
Create a new manager using a default navigation strategy: `SWT.ARROW_UP`: navigate to cell above `SWT.ARROW_DOWN`: navigate to cell below `SWT.ARROW_RIGHT`: on first column (collapses if item is expanded) else navigate to next visible cell on the right `SWT.ARROW_LEFT`: on first column (expands if item is collapsed) else navigate to next visible cell on the left
``
`TreeViewerFocusCellManager(TreeViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)`
Create a new manager with a custom navigation strategy

## Uses of TreeViewer in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return TreeViewer
Modifier and Type
Method
Description
`protected TreeViewer`
AbstractTextSearchViewPage.`createTreeViewer(Composite parent)`
Creates the tree viewer to be shown on this page.
Methods in org.eclipse.search.ui.text with parameters of type TreeViewer
Modifier and Type
Method
Description
`protected abstract void`
AbstractTextSearchViewPage.`configureTreeViewer(TreeViewer viewer)`
Configures the given viewer.

## Uses of TreeViewer in org.eclipse.ui.dialogs

Subclasses of TreeViewer in org.eclipse.ui.dialogs
Modifier and Type
Class
Description
`class`
`ContainerCheckedTreeViewer`
CheckboxTreeViewer with special behaviour of the checked / gray state on container (non-leaf) nodes: The grayed state is used to visualize the checked state of its children.
Fields in org.eclipse.ui.dialogs declared as TreeViewer
Modifier and Type
Field
Description
`protected TreeViewer`
FilteredTree.`treeViewer`
The viewer for the filtered tree.
Methods in org.eclipse.ui.dialogs that return TreeViewer
Modifier and Type
Method
Description
`protected TreeViewer`
ElementTreeSelectionDialog.`createTreeViewer(Composite parent)`
Creates and initializes the tree viewer.
`protected TreeViewer`
ElementTreeSelectionDialog.`doCreateTreeViewer(Composite parent, int style)`
Creates the tree viewer.
`protected TreeViewer`
FilteredTree.`doCreateTreeViewer(Composite parent, int style)`
Creates the tree viewer.
`protected TreeViewer`
ElementTreeSelectionDialog.`getTreeViewer()`
Returns the tree viewer.
`TreeViewer`
FilteredTree.`getViewer()`
Get the tree viewer of the receiver.

## Uses of TreeViewer in org.eclipse.ui.navigator

Subclasses of TreeViewer in org.eclipse.ui.navigator
Modifier and Type
Class
Description
`class`
`CommonViewer`
Provides the Tree Viewer for the Common Navigator.
Methods in org.eclipse.ui.navigator with parameters of type TreeViewer
Modifier and Type
Method
Description
`protected void`
CommonNavigator.`initListeners(TreeViewer viewer)`
Adds the listeners to the Common Viewer.

## Uses of TreeViewer in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type TreeViewer
Modifier and Type
Method
Description
`protected void`
ProjectExplorer.`initListeners(TreeViewer viewer)`

## Uses of TreeViewer in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type TreeViewer
Modifier and Type
Method
Description
`void`
DrillDownComposite.`setChildTree(TreeViewer aViewer)`
Sets the child viewer.
Constructors in org.eclipse.ui.part with parameters of type TreeViewer
Modifier
Constructor
Description
``
`DrillDownAdapter(TreeViewer tree)`
Allocates a new DrillDownTreePart.

## Uses of TreeViewer in org.eclipse.ui.views.contentoutline

Methods in org.eclipse.ui.views.contentoutline that return TreeViewer
Modifier and Type
Method
Description
`protected TreeViewer`
ContentOutlinePage.`getTreeViewer()`
Returns this page's tree viewer.